Permalink
Browse files

Require rack-cache 1.1.

Versions prior to 1.1 delete the If-Modified-Since and If-Not-Modified headers when
config.action_controller.perform_caching is true. This has two problems:
 * unexpected inconsistent behaviour between development & production environments
 * breaks applications that use of these headers
  • Loading branch information...
abscondment committed Oct 3, 2011
1 parent 57d9737 commit b05a56f47da24e57f1f1a398115cf664ec7eee56
Showing with 1 addition and 1 deletion.
  1. +1 −1 actionpack/actionpack.gemspec
@@ -18,7 +18,7 @@ Gem::Specification.new do |s|
s.add_dependency('activesupport', version)
s.add_dependency('activemodel', version)
- s.add_dependency('rack-cache', '~> 1.0.3')
+ s.add_dependency('rack-cache', '~> 1.1')
s.add_dependency('builder', '~> 3.0.0')
s.add_dependency('i18n', '~> 0.6')
s.add_dependency('rack', '~> 1.3.2')

0 comments on commit b05a56f

Please sign in to comment.